Bug 214774 - net/pecl-radius: update to 1.4.0b1, adds PHP 7 support
Summary: net/pecl-radius: update to 1.4.0b1, adds PHP 7 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-23 08:46 UTC by Franco Fichtner
Modified: 2016-12-23 22:09 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback+


Attachments
full patch (1.31 KB, patch)
2016-11-23 08:46 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-11-23 08:46:40 UTC
Created attachment 177323 [details]
full patch

Hi,

Attached patch updates pecl-radius to 1.4.0b1, which simply added PHP 7 support on top of the current 1.3.0 code.

https://pecl.php.net/package/radius

Builds fine on 10.3 amd64+i386, 11.0 amd64+i386, PHP 5.6 and PHP 7.0
Works fine on 10.3 amd64+i386.

Sponsored by: OPNsense


Cheers,
Franco
Comment 1 Franco Fichtner 2016-11-23 08:49:01 UTC
Note: requesting MAINTAINER status
Comment 2 Matthias Andree freebsd_committer 2016-12-22 20:51:20 UTC
Jochen,

please review Franco's patch and let us know if you approve of the proposed update.

Thank you.

Cheers,
Matthias
Comment 3 Franco Fichtner 2016-12-23 09:06:19 UTC
Jochen was assigned maintainer after this bug went in, so I guess he simply missed it.  Still offering maintainer status for this.  This version runs successfully in production environments around the world.  :)
Comment 4 Jochen Neumeister freebsd_committer 2016-12-23 11:13:31 UTC
Approved

Poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r307551)

portlint is also fine.

Make test is fine, too.

Cheers
jochen
Comment 5 Jochen Neumeister freebsd_committer 2016-12-23 11:13:52 UTC
Comment on attachment 177323 [details]
full patch

>From 8786340e83e0ca0684df4d4ec5242a56b5e78165 Mon Sep 17 00:00:00 2001
>From: Franco Fichtner <franco@opnsense.org>
>Date: Sun, 9 Oct 2016 19:19:36 +0200
>Subject: [PATCH] net/pecl-radius: 1.4.0b1 with PHP 7.0 support
>
>---
> net/pecl-radius/Makefile | 4 +---
> net/pecl-radius/distinfo | 5 +++--
> 2 files changed, 4 insertions(+), 5 deletions(-)
>
>diff --git a/net/pecl-radius/Makefile b/net/pecl-radius/Makefile
>index 6694285..10cf6d4 100644
>--- a/net/pecl-radius/Makefile
>+++ b/net/pecl-radius/Makefile
>@@ -2,8 +2,7 @@
> # $FreeBSD$
> 
> PORTNAME=	radius
>-DISTVERSION=	1.3.0
>-PORTREVISION=	1
>+DISTVERSION=	1.4.0b1
> CATEGORIES=	net security pear
> MASTER_SITES=	http://pecl.php.net/get/
> PKGNAMEPREFIX=	pecl-
>@@ -15,7 +14,6 @@ COMMENT=	Radius client library for PHP
> LICENSE=	BSD3CLAUSE
> 
> USES=		php:ext tar:tgz
>-IGNORE_WITH_PHP=	70
> 
> CONFIGURE_ARGS=	--enable-radius
> 
>diff --git a/net/pecl-radius/distinfo b/net/pecl-radius/distinfo
>index d731f38..f30cc07 100644
>--- a/net/pecl-radius/distinfo
>+++ b/net/pecl-radius/distinfo
>@@ -1,2 +1,3 @@
>-SHA256 (PECL/radius-1.3.0.tgz) = b0431ec6769ff1ec564d95782f7b91de06a7ac3297745bbbc9d1c274bfc4de15
>-SIZE (PECL/radius-1.3.0.tgz) = 43060
>+TIMESTAMP = 1476033543
>+SHA256 (PECL/radius-1.4.0b1.tgz) = 97dcf2e497131a20804cc508873a123012b773f42d077af398334f3caf86ee54
>+SIZE (PECL/radius-1.4.0b1.tgz) = 50953
Comment 6 Franco Fichtner 2016-12-23 11:15:50 UTC
Thanks! Please note: Jochen keeps MAINTAINER status
Comment 7 Jochen Neumeister freebsd_committer 2016-12-23 11:17:07 UTC
hm, "Flags:Requestee:maintainer-approval +" doesn't work ...

but, patch is okay, and ready for commit
Comment 8 Matthias Andree freebsd_committer 2016-12-23 22:02:35 UTC
There are some format string bugs in the code (emitted as compiler warnings), just one example: 

/wrkdirs/usr/ports/net/pecl-radius/work/radius-1.4.0b1/radlib.c:1226:48: warning: format specifies type 'int' but the argument has type 'size_t' (aka 'unsigned long') [-Wformat]
                generr(h, "Key to long (%d) for me max. %d", *len, MPPE_KEY_LEN);        
                                        ~~                   ^~~~
                                        %zu


Please take this up to the upstream maintainer.
Comment 9 commit-hook freebsd_committer 2016-12-23 22:08:33 UTC
A commit references this bug:

Author: mandree
Date: Fri Dec 23 22:08:16 UTC 2016
New revision: 429288
URL: https://svnweb.freebsd.org/changeset/ports/429288

Log:
  NMU to version 1.4.0b1, adding PHP 7 support.

  PR:		214774
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	Jochen Neumeister (maintainer)
  Sponsored by:	OPNsense

Changes:
  head/net/pecl-radius/Makefile
  head/net/pecl-radius/distinfo
Comment 10 Matthias Andree freebsd_committer 2016-12-23 22:09:47 UTC
It doesn't build for me in Poudriere with a 9.3 amd64 jail, but given that 9.3 is going out of support in 8 days I'll take your word that it works, it might be a local issue with my 9.3 jail.